#include "MainWindow.h"
#include "ui_MainWindow.h"
#include <QLabel>

MainWindow::MainWindow(QWidget *parent) :
	QMainWindow(parent),
	ui(new Ui::MainWindow)
{
	ui->setupUi(this);
	statusLabel = new QLabel();
	ui->statusBar->addWidget(statusLabel);
}

MainWindow::~MainWindow()
{
	delete ui;
}

void MainWindow::changeEvent(QEvent *e)
{
	QMainWindow::changeEvent(e);
	switch (e->type()) {
	case QEvent::LanguageChange:
		ui->retranslateUi(this);
		break;
	default:
		break;
	}
}

#include <QFileDialog>
#include <QColorDialog>
#include <QMessageBox>

void MainWindow::on_action_file_open_triggered()
{
	QString path = QFileDialog::getOpenFileName(this, QString(), QString(), "SVG files (*.svg *.svgz)");
	if (path.isEmpty()) {
		return;
	}
	if (!ui->centralWidget->load(path)) {
		QMessageBox::warning(this, QApplication::applicationName(), tr("Failed to open the file: ") + path);
		return;
	}
	QSvgRenderer const *r = ui->centralWidget->renderer();
	QSize sz = r->defaultSize();
	QString s = QString("%1x%2").arg(sz.width()).arg(sz.height());
	statusLabel->setText(s);
}

void MainWindow::on_action_view_background_color_triggered()
{
	QColor color = QColorDialog::getColor(QColor(128, 128, 128));
	if (!color.isValid()) return;
	ui->centralWidget->setBackgroundColor(color);
}

void MainWindow::on_action_exit_triggered()
{
	close();
}
